# Method: projects.alerts.get

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts/get#try-it)

Gets a single alert.

### HTTP request

`GET https://monitoring.googleapis.com/v3/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the alert. The format is: projects/[PROJECT_ID_OR_NUMBER]/alerts/[ALERT_ID] The `[ALERT_ID]` is a system-assigned unique identifier for the alert. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.alerts#Alert`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).